API to fetch the Review Count as per status
GET https://services.leadconnectorhq.com/products/reviews/count
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.
Query parameters
altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id or Agency Id
Key to filter the ratings
startDate
string
default:"2023-01-01T00:00:00Z"
The start date for filtering reviews
endDate
string
default:"2023-12-31T23:59:59Z"
The end date for filtering reviews
Comma-separated list of product IDs
Comma-separated list of store IDs
Respuestas
200 - Successful response
Array of review status counts
422 - Unprocessable Entity
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/products/reviews/count' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/products/reviews/count', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/products/reviews/count',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/reviews/count');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);